QT 2

The releases of this section are outdated and will not be supported. The relating packages may work, but we encourage you to install a recent KDE release.

Starting with qt-2.3.1 cygwin installer support is introduced, which simplifies qt  installation very much. 

Before you are going to start installing Qt 2 make sure you have meet the Requirements.

How to install

Start the Cygwin Net Installer, choose - Install from Internet or Download from Internet - and enter one of the following URL:

http://kde-cygwin.sourceforge.net/install

in the installer Add URL field and click "Add" to add this url to the list of available urls. 

For those who don't like the cygwin installer, see the manual installation instructions

Cygwin Setup Site Page

Please ensure you have selected only the above mentioned one and go through the following pages. 

In the chooser page open the qt2 category and select the package(s) you wish to download. This will automaticallly select the additional required packages. 

 After you have downloaded the required packages, install the packages (if you haven't installed directly) through an additional start of the cywin net installer. 

The last steps to do before you can use qt2 are mentioned below:
  1. enter your current or open a new bash shell
  2. add the environment settings to /etc/profile.d/qt2.sh
    cat >/etc/profile.d/qt2.sh
    export QTDIR=/usr/local/lib/qt2
    export PATH=$QTDIR/bin:$PATH
    export MANPATH=$MANPATH:$QTDIR/doc/man
    
    Press ENTER & CTRL-D to stop the cat command.
  3. reread profile
    . /etc/profile
    

Now you are ready to use qt2. Please read the Using QT 2 section how to go on. 

 
Prev:Manual InstallationNext:Using QT 2

GOWEBCounter by INLINE visitors Hosted by SourceForge